package com.blazinggames.retro.classic.search;

// Spelchan imports
import com.blazinggames.urcl.URCLApplet;

/**
* The applet version of Classic Tanks for the Memory
 *
 * @author Billy D. Spelchan
 * @version 1.00.021025
 */

public class ClassicTftMApplet
extends URCLApplet
{
    // *********************
    // ***** CONSTANTS *****
    // *********************

    private static final String VERSION = "1.10.040101";
    private static final String NAME = "Tanks for the Memory";
    private static final String COPYRIGHT = "Copyright " +
        (char)169 + "2001-2002,2004 Blazing Games Inc. All Rights Reserved.";

    // *****************************************
    // ***** METHODS - From SpelchanApplet *****
    // *****************************************

    protected void initDisplays()
    {
        System.out.println(NAME + " v" + VERSION);
        System.out.println(COPYRIGHT);
        _titleDisplay = new TftM(getCodeBase());
        _titleDisplay.initialize(this);
    }

    public String getAppletInfo()
    {
        return NAME + " v" + VERSION + COPYRIGHT;
    }

    public String getName()
    {
        return NAME;
    }
}